
QGIS Application - Bug report #3579

Crash after opening multiple attribute tables in dock window

2011-03-09 03:41 AM - Ivan Mincik

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13639

Description

Qgis is crashing/freezing after opening more attribute tables than comfortably fits in computer screen.

How to replicate:

1. Configure Your QGIS to "Open attribute table in dock window"

2. Open any shapefile containing some attribute data

3. Press "Layer -> Open Attribute Table" few times until you will have more attribute tables than comfortably fits to your screen. Qgis will

freeze.

Some more realistic example:

1. Imagine, You have small screen computer and two layers with attribute data containing 10 columns.

2. You want to display attribute tables of both of them one beside other.

3. Open first one.

4. Open second one. QGIS will freeze, because second table will not fit to your screen.

Software details: 

OS Debian Lenny KDE 3, Debian Squeeze Gnome

QGIS: Latest Trunk

GDB output and 'bt' attached

History

#1 - 2011-03-27 10:32 PM - Bill Williamson

- Status changed from Open to Closed

- Resolution set to worksforme

Could not reproduce.

Win 7 Latest trunk

#2 - 2011-04-14 07:09 AM - Ivan Mincik

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback
The problem is still there. Please do not cancel GUI bugs reported on Linux after testing on Windows.

#3 - 2011-04-17 02:56 AM - Nathan Woodrow

Confirmed on Ubuntu 10.04

#4 - 2011-04-17 04:32 AM - Anne Ghisla

QGIS commit:f8e10a33 (SVN r15725), Fedora 14, XFCE 4.6.2, Qt 4.7.1.

I followed steps to reproduce the bug, but QGIS didn't crash after the newly opened attribute table made the whole window larger than the screen.

However it made the first attribute table and the legend partially blank - see attachment - and hovering on them with the mouse, more generally forcing

redraw of the window, made the table cells reappear.

I then opened 5 attribute tables side by side, that opened in the not visible part of the window, and panned the whole window to see them. Panning back to

the right side of the window, all tables were displayed correctly. I closed all tables except one, the window remained in full length. I then resized it with no

problems.

The issue can be related to #3655.

#5 - 2011-04-17 12:28 PM - Ivan Mincik

Testing on Debian Squeeze, Gnome. Still crashing every time.

#6 - 2011-04-20 06:44 AM - Ivan Mincik

- Resolution set to fixed

- Status changed from Feedback to Closed

Testing on Debian Squeeze and Lenny: current trunk is not longer crashing (I think after fixing #2714).

Currently, when opening multiple attribute tables, QGIS application window is resizing to infinite (which can be the case for another ticket).
